Subject: Re: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2019 20:19:46 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 26 Nov 2019 00:57:59 +0200
> Cc: [email-masked]
> 
> >>> +to the current repository).  On Mercurial, this prompts for argument to
> >>> +pass to @command{hg merge}, with branch and tag names completion. The
> >>> +output from running the merge command is shown in a separate buffer.
> >>
> >> The fact that there is completion here is incidental. I'd omit that from this particular place in the manual.
> > 
> > Fixed. In my defense, that sentence was modelled after git's one :)
> 
> In that case, my opinion might conflict with Eli's (sorry). So I'll 
> leave the final review to him.

If it's important to mention completion, we should do that for all
back-ends that support this command.  Right now, the text mentions the
default offered by the prompt for Bazaar, but with Git and Mercurial
it mentions completion.  Don't the latter two offer sensible defaults
as well?  If they do, let's mention them; if they don't, perhaps its
better to say something like

  Git and Mercurial don't offer a default revision, but they provide
  completion to help you specify the revision.